Bug 89966 - Installation hangs when trying to load CD driver (I think) on Sony VAIO PCG-Z600TEK
Installation hangs when trying to load CD driver (I think) on Sony VAIO PCG-Z...
Product: Red Hat Linux
Classification: Retired
Component: installer (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Brock Organ
Depends On:
  Show dependency treegraph
Reported: 2003-04-30 09:24 EDT by Duncan Innes
Modified: 2007-04-18 12:53 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-07-14 12:42:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Duncan Innes 2003-04-30 09:24:15 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20030225

Description of problem:
I report this because exactly the same hardware installs RH8.0 perfectly without
any hitches whatsoever. 

Laptop boots up from CD without problem.

when trying to identify the PCMCIA controller for the CD-ROM drive, the
installer hangs completely.  (have left it for a few hours in case it was just
thinking very hard)

The installation works perfectly as I then tried a FTP install before being
successfull with an HTTP install.  Everything else works perfectly.  The  system
will not recognise the external CD-ROM however once RH9 has booted up.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Start CD installation on a Sony VAIO PCG-Z600TEK
2. Hang while trying to identify or load the CD drivers

Actual Results:  hang

Expected Results:  installation to continue as normal

Additional info:
Comment 1 Clarke Morledge 2003-05-09 12:15:47 EDT
Same problems experienced on a Sony VAIO PCG-Z505RX, but I only got as far as 
trying to do the install via the PCMCIA attached CD drive.   I had no problems 
installing RH 7.3, but RH 9 just hangs during the install as mentioned in the 
original bug report.
Comment 2 Alan Cox 2003-06-05 12:13:45 EDT
Same problem seen and reported here.

The newer kernel probes the cardbus early, when the cardbus is probed the
"magic" Vaio laptop IDE legacy settings vanish and the CD goes with it.
Unfortunately RH9 looks for the CD, then loads the drivers, then wonders where
it went

Installer bug I think, nothing the kernel can do about this. 

Comment 3 Jeremy Katz 2003-06-10 18:31:16 EDT
Does it work if you boot with 'linux nopcmcia'?
Comment 4 Michael Fulbright 2003-07-14 12:42:51 EDT
Closing due to inactivity. Please reopen if you have additional information to
add to this report.

Note You need to log in before you can comment on or make changes to this bug.